HttpRequest::addPutData
HttpRequest::addRawPostData
HttpRequest
PHP Manual

# HttpRequest::addQueryData

(PECL pecl_http >= 0.10.0)

HttpRequest::addQueryData — Add query data

### Description

public bool HttpRequest::addQueryData ( array `$query_params` )

Add parameters to the query parameter list, leaving previously set unchanged.

Affects any request type.

### Parameters

`query_params`

  an associative array as parameter containing the query fields to add

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::addPutData
HttpRequest::addRawPostData
HttpRequest
PHP Manual